using System;

internal sealed class Delegate804 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate804 delegate804_1)
	{
		return delegate804_1(object_0);
	}

	public extern Delegate804(object object_0, IntPtr intptr_0);

	static Delegate804()
	{
		Class10.smethod_13(typeof(Delegate804).TypeHandle);
	}

	internal static Delegate804 delegate804_0;
}
